#include "A5World.h"
#include <globals.h>



A5World::A5World()
{
#ifdef __G_A4__
	long		saveA5 = GetA5();
	
	SetA5((long)&a5PointsHere);
	
	InitGraf(&fQD.thePort);
	
	SetA5(saveA5);
#endif
	
}


void	A5World::Restore(long old)
{
#ifdef __G_A4__
	SetA5(old);
#endif
}


A5World::~A5World()
{
	
}


long	A5World::Use()
{
#ifdef __G_A4__
	long	saveA5 = GetA5();
	
	SetA5((long)&a5PointsHere);
	
	return saveA5;
#else
	return 0;
#endif
}
